CREATE OR REPLACE procedure opt_lock_test (
   i_job in varchar2 default '%') as

   cursor emp_cur is
      select * from scott.emp
	     where job like i_job order by ename;
   emp_rec emp_cur%ROWTYPE;

begin
   htp.title ('Employees in the EMP table');
   htp.tableOpen(cattributes => 'border=1');
   open emp_cur;
   loop
      fetch emp_cur into emp_rec;
	  exit when emp_cur%NOTFOUND;
	  htp.tableRowOpen;
	  htp.tableData (emp_rec.empno);
	  htp.tableData (emp_rec.ename);
	  htp.tableData (emp_rec.job);
	  htp.tabledata ('<a href=opt_lock_fentry?iempno=' || emp_rec.empno || '>Hidden Field</a>');
	  htp.tabledata ('<a href=opt_lock_centry?iempno=' || emp_rec.empno || '>Checksum</a>');
	  htp.tableRowClose;
   end loop;
   close emp_cur;
   htp.tableClose;
end;


  
/

