CREATE OR REPLACE procedure regexp_test (
   line in varchar2 default null,
   from_str in varchar2 default null,
   to_str in varchar2 default '<b>&</b>',
   flags in varchar2 default null ) is

   -- converts the in parameter to a local variable because
   -- attempting to reference an IN mode parm. results in PLS-00363
   line_copy varchar2(32767) := line;

begin
   htp.print('<html><title>Pattern Test</title><body>');
   htp.print('<table border=1><tr><td>'); -- Used to format results
   htp.print('<form action=regexp_test>');
   htp.print('Line:<textarea name=line>' || line || '</textarea><br>');
   htp.print('From:<input name=from_str value="' || from_str || '"><br>' );
   htp.print('To:<input name=to_str value="' || to_str || '"><br>' );
   htp.print('Flags:<input name=flags value="' || flags || '"><br>' );
   htp.print('<input type=submit>');
   htp.print('</form></td><td>'); -- results will print in second column
   -- Call the change procedure
   owa_pattern.change ( line_copy, from_str, to_str, flags);
   htp.print(line_copy);
   htp.print('</td></tr></table></html>');
end;
  
/

