CREATE OR REPLACE procedure opt_lock_fentry (
   iempno in varchar2 default null ) is

   emp_rec scott.emp%ROWTYPE;
   rec_row_id rowid;

begin
   -- Fetch the record and rowid the employee with the give id
   -- For simplicity, I'm just going to use a select...into,
   -- even though I promised never to do it again!
   select * into emp_rec from scott.emp where emp.empno = iempno;
   select rowid into rec_row_id from scott.emp where emp.empno = iempno;
   -- Create a simple data entry form
   htp.print('<form action=opt_lock_fupdate>');
   htp.formHidden(cname=>'iempno', cvalue => iempno);
   htp.print('Employee Name:');
   htp.formText(cname => 'iename', cvalue=> emp_rec.ename);
   htp.print('Job:');
   htp.formText(cname => 'ijob', cvalue=> emp_rec.job);
   -- Store the current values for the row that is to be updated
   owa_opt_lock.store_values('SCOTT', 'emp', rec_row_id);
   htp.print('<input type=submit>');
   htp.print('</form>');
end;
 
/

